CREATE TABLE CARAC_TIPO_UH (
ID_CARAC_TIPO_UH INTEGER NOT NULL PRIMARY KEY,
ID_TIPO_UH INTEGER NOT NULL,
ID_CARAC_UH INTEGER NOT NULL
);

CREATE GENERATOR GEN_ID_CARAC_TIPO_UH ;

SET TERM ^;

CREATE TRIGGER TRIG_GEN_ID_CARAC_TIPO_UH FOR CARAC_TIPO_UH
ACTIVE BEFORE INSERT POSITION 0
AS
BEGIN
   NEW.ID_CARAC_TIPO_UH = gen_id(GEN_ID_CARAC_TIPO_UH,1);
END
^

COMMIT WORK^
SET TERM;^
